> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all automation executions GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/automation_executions Reference: https://contentful.com/developers/docs/references/content-management-api/automation-executions/get-all-automation-executions ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string ### Query parameters - `sys.status[in]` (string, optional) — Filter by status. Comma-separated list of statuses: `SCHEDULED`, `IN_PROGRESS`, `COMPLETED`, `FAILED`, `CANCELED` - `limit` (integer, optional, default: 100) — The number of automation executions to return (default 100, max 100) - `pageNext` (string, optional) — Cursor for paginating forward - `pagePrev` (string, optional) — Cursor for paginating backward ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json {} ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript SDK currently doesn't implement this endpoint. ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```